<ng-template #resultTemplate let-resort="result" let-t="term">
  <ngb-highlight [result]="resort?.name" [term]="t"></ngb-highlight>
</ng-template>

<div class="container justify-content-center">
  <div class="pt-3 pb-3">
    <div class="input-group input-group-lg">
      <div class="input-group-prepend">
        <span class="input-group-text" id="inputGroup-sizing-lg">
          <i class="material-icons md-24">search</i>
        </span>
      </div>
      <input id="typeahead-template"
             type="text"
             class="form-control"
             [(ngModel)]="model"
             [ngbTypeahead]="getResortSearchResult"
             [resultTemplate]="resultTemplate"
             [inputFormatter]="formatter"
             (selectItem)="navigateToResortDetails($event)" />
    </div>
  </div>
  <div class="pt-3">
    <sm-resort-pinned></sm-resort-pinned>
  </div>
</div>